Skip to main content
`Ctrl`+`K`

# EdgeComponentAuxGraph.k_edge_subgraphs

EdgeComponentAuxGraph.k_edge_subgraphs(k)

  Queries the auxiliary graph for k-edge-connected subgraphs.

  Parameters:
    k Integer

      Desired edge connectivity

  Returns:
    k_edge_subgraphs a generator of k-edge-subgraphs

  Notes

  Refines the k-edge-ccs into k-edge-subgraphs. The running time is more than \(O(|V|)\).

  For single values of k it is faster to use `nx.k_edge_subgraphs`. But for multiple values of k, it can be faster to build AuxGraph and then use this method.